{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "OpenProject": {
      "root": "",
      "sourceRoot": "src",
      "projectType": "application",
      "architect": {
        "build": {
          "builder": "@angular-builders/custom-webpack:browser",
          "options": {
            "customWebpackConfig": {
              "verbose": {
                "properties": ["entry"]
              },
              "path": "./extra-webpack.config.js",
              "mergeStrategies": {
                "externals": "replace"
              }
            },
            "allowedCommonJsDependencies": [
              "core-app/init-vendors",
              "core-app/init-globals",
              "dom-plane",
              "pako",
              "moment-timezone",
              "observable-array",
              "dragula",
              "jquery",
              "contra/emitter",
              "crossvent",
              "chart.js",
              "create-point-cb",
              "core-vendor/enjoyhint",
              "tablesorter",
              "chartjs-plugin-datalabels"
            ],
            "preserveSymlinks": true,
            "deployUrl": "/assets/frontend/",
            "outputPath": "../public/assets/frontend/",
            "index": "src/index2.html",
            "main": "src/main.ts",
            "tsConfig": "src/tsconfig.app.json",
            "polyfills": "src/polyfills.ts",
            "assets": [
              "src/assets"
            ],
            "styles": [
              {
                "input": "src/spot.scss",
                "bundleName": "spot"
              },
              "src/styles.scss",
              "node_modules/codemirror/lib/codemirror.css",
              "node_modules/jquery-ui/themes/base/core.css",
              "node_modules/jquery-ui/themes/base/datepicker.css",
              "node_modules/jquery-ui/themes/base/dialog.css",
              "node_modules/flatpickr/dist/flatpickr.min.css"
            ],
            "stylePreprocessorOptions": {
              "includePaths": [
                ".",
                "src",
                "src/assets/sass/",
                "src/app/spot/styles/sass/variables/"
              ]
            },
            "scripts": [],
            "vendorChunk": true,
            "extractLicenses": false,
            "buildOptimizer": false,
            "sourceMap": true,
            "optimization": false,
            "namedChunks": true
          },
          "configurations": {
            "production": {
              "index": "",
              "budgets": [
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ],
              "preserveSymlinks": true,
              "optimization": {
                "scripts" : false,
                "styles" : true,
                "fonts" : true
              },
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ]
            },
            "fastprod": {
              "index": "",
              "preserveSymlinks": true,
              "optimization": false,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": false,
              "buildOptimizer" : false,
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ]
            },
            "ci": {
              "index": "",
              "preserveSymlinks": true,
              "optimization": false,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": false,
              "buildOptimizer" : false,
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "proxyConfig": "cli_to_rails_proxy.js",
            "buildTarget": "OpenProject:build"
          },
          "configurations": {
            "production": {
              "buildTarget": "OpenProject:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "buildTarget": "OpenProject:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "preserveSymlinks": true,
            "main": "src/test.ts",
            "karmaConfig": "./karma.conf.js",
            "tsConfig": "src/tsconfig.spec.json",
            "scripts": [],
            "styles": [],
            "stylePreprocessorOptions": {
              "includePaths": [
                "src/assets/sass/"
              ]
            },
            "assets": []
          }
        },
        "lint": {
          "builder": "@angular-eslint/builder:lint",
          "options": {
            "lintFilePatterns": [
              "src/**/*.ts",
              "src/**/*.html"
            ],
            "preserveSymlinks": true
          }
        }
      }
    }
  },
  "schematics": {
    "@schematics/angular:component": {
      "prefix": "op",
      "style": "sass",
      "changeDetection": "OnPush",
      "skipTests": true,
      "flat": true
    },
    "@schematics/angular:directive": {
      "prefix": "op",
      "skipTests": true
    }
  },
  "cli": {
    "analytics": false,
    "cache": {
      "environment": "all"
    }
  }
}
